Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 558366 - sys-block/open-iscsi-2.0.873[slp] fail to compile: undefined reference to 'SLPFree'
Summary: sys-block/open-iscsi-2.0.873[slp] fail to compile: undefined reference to 'SL...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: x86 Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-21 20:46 UTC by Serge
Modified: 2022-04-03 02:39 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (sys-blockopen-iscsi-2.0.8730150821-202250.log,26.34 KB, text/plain)
2015-08-21 20:46 UTC, Serge
Details
build log (sys-block%3Aopen-iscsi-2.0.873%3A20150822-210937.log,24.90 KB, text/plain)
2015-08-22 21:10 UTC, Serge
Details
open-iscsi-2.0.873-r2.ebuild.patch (open-iscsi-2.0.873-r2.ebuild.patch,828 bytes, patch)
2016-08-23 18:43 UTC, David Davidson
Details | Diff
open-iscsi-2.0.873-isns-slp.patch (open-iscsi-2.0.873-isns-slp.patch,752 bytes, patch)
2016-08-23 18:44 UTC, David Davidson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Serge 2015-08-21 20:46:14 UTC
Created attachment 409786 [details]
build log

emerge -uDavt world update  sys-block/open-iscsi-2.0.873::gentoo [2.0.872-r2::gentoo] USE="slp -debug"  and  sys-fs/lsscsi-0.28::gentoo

open-iscsi fail with error :  undefined reference to `SLPP***
Comment 1 Serge 2015-08-21 20:47:13 UTC
gentoo-vm-cli ~ # emerge --info
Portage 2.2.20.1 (python 3.4.1-final-0, default/linux/x86/13.0, gcc-4.8.4, glibc-2.20-r2, 4.0.5-gentoo i686)
=================================================================
System uname: Linux-4.0.5-gentoo-i686-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:     1033796 total,    187024 free
KiB Swap:     257004 total,    257004 free
Timestamp of repository gentoo: Fri, 21 Aug 2015 17:45:01 +0000
sh bash 4.3_p33-r2
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p33-r2::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r1::gentoo, 3.3.5-r1::gentoo, 3.4.1::gentoo
dev-util/cmake:           2.8.12.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.15::gentoo
sys-devel/binutils:       2.24-r3::gentoo
sys-devel/gcc:            4.8.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/var/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://gentoo.modulix.net/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://gentoo.mneisen.org/"
LANG="fr_FR.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="apache2 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ldap logrotate modules mysql ncurses nls nptl nptlonly oci8-instant-client openmp pam pcre perl python readline seccomp session sse2 ssl tcpd unicode vhosts x86 zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="cgi actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby19 ruby22" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Serge 2015-08-21 20:50:31 UTC
without the slp USE flag it's compile fine.
Comment 3 Michael Palimaka (kensington) gentoo-dev 2015-08-22 19:37:29 UTC
Could you please reproduce and attach an English build log?
Comment 4 Serge 2015-08-22 21:10:28 UTC
Created attachment 409892 [details]
build log
Comment 5 Berthold Humkamp 2015-08-23 11:06:36 UTC
same problem on amd64
Comment 6 Thomas Capricelli 2015-09-02 20:10:04 UTC
same problem here on ~amd64 and sys-block/open-iscsi-2.0.873
Comment 7 toon 2015-09-06 13:00:03 UTC
Just a me too.
Today I ran into the same problem during an emerge world.
The emerge wants to upgrade from open-iscsi-2.0.872-r2 to open-iscsi-2.0.873
The current running version was compiled with SLP.
The new version fails to compile with SLP.
My build log looks similar to the one already attached by Serge.

Regards,
Toon.
Comment 8 Olliver Schinagl 2015-11-22 12:31:03 UTC
Just a 'me too' today on 2 gentoo-hardened amd64 boxen.
Comment 9 Thomas Capricelli 2016-01-19 12:53:15 UTC
The problem is still present as of today, with sys-block/open-iscsi-2.0.873-r1

This version should be removed, or at least hard masked, it just can't compile.
Comment 10 Thomas Capricelli 2016-01-19 12:56:38 UTC
This line has been removed in the ebuild for 273 (and it worked with 272-r2), could it be related ??

-   use slp && SLP_LIBS="-lslp"
Comment 11 Thomas Capricelli 2016-01-19 13:01:00 UTC
Nope, that's not it. On the other hand the website has been lost, the project seems dead.
Comment 12 Karl Hakimian 2016-01-19 13:36:21 UTC
From what I can tell, it is a change in how python does things and not a change to this package that caused the problem.

The project does seem dead. I have not yet looked into changing away from it since it is still working.
Comment 13 Thomas Capricelli 2016-01-19 13:48:42 UTC
And anway, I couldn't name an alternative :-(
Comment 14 David Davidson 2016-08-23 18:43:59 UTC
Created attachment 443974 [details, diff]
open-iscsi-2.0.873-r2.ebuild.patch

The following two patches re-add the SLP_LIBS logic from the open-iscsi-2.0.872 ebuild and allows open-iscsi-2.0.873 to compile with USE=slp
Comment 15 David Davidson 2016-08-23 18:44:19 UTC
Created attachment 443976 [details, diff]
open-iscsi-2.0.873-isns-slp.patch
Comment 16 Thomas Capricelli 2016-09-29 16:57:57 UTC
Could this be committed to the main tree then ?
Comment 17 Serge 2016-10-16 20:43:53 UTC
(In reply to Thomas Capricelli from comment #16)
> Could this be committed to the main tree then ?

I don't use anymore open-iscsi, so I can't test it.
Thanks for your work. Hope it will help other people.
Comment 18 Duncan Webb 2016-11-11 07:07:48 UTC
Hi

I can confirm that the patches fixes the build failure.

Many thanks for the patches.
Comment 19 Thomas Deutschmann gentoo-dev 2018-01-02 14:45:44 UTC
This was a problem in bundled open-isns which was removed in >sys-block/open-iscsi-2.0-874 (https://github.com/open-iscsi/open-iscsi/commit/c6d1117bb6fc85d505b815c23a0190376354c3f2#diff-2b3583e6e17721c54496bd04e57a0c15).

We will drop slp USE flag in >sys-block/open-iscsi-2.0.873.
Comment 20 Larry the Git Cow gentoo-dev 2018-01-02 14:54:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9278a10daad10aaedff21f2ca630570a1c0dacbe

commit 9278a10daad10aaedff21f2ca630570a1c0dacbe
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-01-02 14:01:56 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-01-02 14:53:57 +0000

    sys-block/open-iscsi: Rev bump to fix multiple issues
    
    Ebuild changes:
    ===============
    - Patch: Include sysmacros.h. [Bug 604442]
    
    - Install systemd service. [Bug 640598]
    
    - Remove deprecated iscsidev.sh udev rule in favor of udev native iSCSI
      support which is available since udev-143. [Bug 633574]
    
    - Drop "slp" USE flag. [Bug 558366]
    
    Bug: https://bugs.gentoo.org/558366
    Closes: https://bugs.gentoo.org/604442
    Closes: https://bugs.gentoo.org/640598
    Closes: https://bugs.gentoo.org/633574
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../open-iscsi-2.0.874-include-sysmacros.patch     |  20 ++++
 sys-block/open-iscsi/open-iscsi-2.0.874-r2.ebuild  | 122 +++++++++++++++++++++
 2 files changed, 142 insertions(+)}